Package org.apache.any23.vocab

## Class LKIFCoreProcess

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreProcess

-     public class LKIFCoreProcess
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The process module extends the LKIF top ontology module with a definition of changes, processes (being causal changes) and physical objects. It introduces a limited set of properties for describing participant roles of processes.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Change` |
    `org.eclipse.rdf4j.model.IRI` | `Continuation` |
    `org.eclipse.rdf4j.model.IRI` | `created_by` |
    `org.eclipse.rdf4j.model.IRI` | `creation` |
    `org.eclipse.rdf4j.model.IRI` | `Initiation` |
    `org.eclipse.rdf4j.model.IRI` | `Mental_Process` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `participant` |
    `org.eclipse.rdf4j.model.IRI` | `participant_in` |
    `org.eclipse.rdf4j.model.IRI` | `Physical_Object` |
    `org.eclipse.rdf4j.model.IRI` | `Physical_Process` |
    `org.eclipse.rdf4j.model.IRI` | `Process` |
    `org.eclipse.rdf4j.model.IRI` | `requirement` |
    `org.eclipse.rdf4j.model.IRI` | `requirement_of` |
    `org.eclipse.rdf4j.model.IRI` | `resource` |
    `org.eclipse.rdf4j.model.IRI` | `resource_for` |
    `org.eclipse.rdf4j.model.IRI` | `result` |
    `org.eclipse.rdf4j.model.IRI` | `result_of` |
    `org.eclipse.rdf4j.model.IRI` | `Termination` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreProcess` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Change

          public final org.eclipse.rdf4j.model.IRI Change

    - #### Continuation

          public final org.eclipse.rdf4j.model.IRI Continuation

    - #### Initiation

          public final org.eclipse.rdf4j.model.IRI Initiation

    - #### Mental_Process

          public final org.eclipse.rdf4j.model.IRI Mental_Process

    - #### Physical_Object

          public final org.eclipse.rdf4j.model.IRI Physical_Object

    - #### Physical_Process

          public final org.eclipse.rdf4j.model.IRI Physical_Process

    - #### Process

          public final org.eclipse.rdf4j.model.IRI Process

    - #### Termination

          public final org.eclipse.rdf4j.model.IRI Termination

    - #### created_by

          public final org.eclipse.rdf4j.model.IRI created_by

    - #### creation

          public final org.eclipse.rdf4j.model.IRI creation

    - #### participant

          public final org.eclipse.rdf4j.model.IRI participant

    - #### participant_in

          public final org.eclipse.rdf4j.model.IRI participant_in

    - #### requirement

          public final org.eclipse.rdf4j.model.IRI requirement

    - #### requirement_of

          public final org.eclipse.rdf4j.model.IRI requirement_of

    - #### resource

          public final org.eclipse.rdf4j.model.IRI resource

    - #### resource_for

          public final org.eclipse.rdf4j.model.IRI resource_for

    - #### result

          public final org.eclipse.rdf4j.model.IRI result

    - #### result_of

          public final org.eclipse.rdf4j.model.IRI result_of

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreProcess getInstance()